org.apache.jmeter.report.processor.graph

## Class ElapsedTimeValueSelector

- java.lang.Object
- - org.apache.jmeter.report.processor.graph.ElapsedTimeValueSelector

- All Implemented Interfaces:
    GraphValueSelector
  Direct Known Subclasses:
    SuccessfulElapsedTimeValueSelector

      public class ElapsedTimeValueSelector
      extends java.lang.Object

  The class ElapsedTimeValueSelector provides a projection from a sample to its elapsed time.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElapsedTimeValueSelector(boolean ignoreTransactionController)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isIgnoreTransactionController()`
    `java.lang.Double` | `select(java.lang.String series, Sample sample)` Do a projection from a sample to the value to aggregate for the specified series and key.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElapsedTimeValueSelector

          public ElapsedTimeValueSelector(boolean ignoreTransactionController)

      Parameters:
        `ignoreTransactionController` - boolean ignore `SampleResult` generated by `TransactionController`

  - ### Method Detail

    - #### select

          public java.lang.Double select(java.lang.String series,
                                         Sample sample)

      Description copied from interface: `GraphValueSelector`
      Do a projection from a sample to the value to aggregate for the specified series and key.
      Parameters:
        `series` - the series where the value will be aggregated
        `sample` - the sample
      Returns:
        the value to aggregate or null if value should be ignored

    - #### isIgnoreTransactionController

          protected boolean isIgnoreTransactionController()

      Returns:
        the ignoreTransactionController

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.